package com.dev.swms.server.model.base;


import com.dev.energy.server.model.Entity;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

public class TempBOM extends Entity {
	private Item component;

	private boolean isLack;

	private double lackQTY;

	public int hashCode() {
		return new HashCodeBuilder().append(component).toHashCode();
	}

	public boolean equals(final Object other) {
		if (!(other instanceof TempBOM))
			return false;
		TempBOM castOther = (TempBOM) other;
		return new EqualsBuilder().append(component, castOther.getComponent())
				.isEquals();
	}

	public boolean isLack() {
		return isLack;
	}
	public boolean getIsLack() {
		return isLack;
	}
	public void setIsLack(boolean isLack) {
		this.isLack = isLack;
	}
	public double getLackQTY() {
		return lackQTY;
	}
	public void setLackQTY(double lackQTY) {
		this.lackQTY = lackQTY;
	}
	public Item getComponent() {
		return component;
	}
	public void setComponent(Item component) {
		this.component = component;
	}

}
